/**
 * Created by IntelliJ IDEA.
 * User: wrobel221
 * Date: 04.10.11
 * Time: 22:15
 * To change this template use File | Settings | File Templates.
 */
package rl.view.mediator {
import flash.events.MouseEvent;

import org.robotlegs.mvcs.Mediator;

import rl.Section;

import rl.Section;

import rl.signal.GoToSectionSignal;
import rl.view.ClientsView;

import rl.view.HomeView;
import rl.view.PortfolioView;

public class HomeMediator extends Mediator{
    [Inject]
    public var view:HomeView;

    [Inject]
    public var gotoSection:GoToSectionSignal;

    override public function onRegister():void {
        trace(this, 'onRegister');
        view.clients.addEventListener(MouseEvent.CLICK, onClientsClick);
        view.portfolio.addEventListener(MouseEvent.CLICK, onPortfolioClick);
        super.onRegister();
    }

    private function onClientsClick(e:MouseEvent):void {
        gotoSection.dispatch(Section.CLIENTS);
    }

    private function onPortfolioClick(e:MouseEvent):void {
        gotoSection.dispatch(Section.PORTFOLIO);
    }


    override public function onRemove():void {
        trace(this, 'onRemove');
        view.clients.removeEventListener(MouseEvent.CLICK, onClientsClick);
        view.portfolio.removeEventListener(MouseEvent.CLICK, onPortfolioClick);
        super.onRemove();
    }
}
}
